Package org.tmatesoft.svn.core.wc2

# Class SvnCleanup

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Void>
org.tmatesoft.svn.core.wc2.SvnCleanup

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnCleanup extends SvnOperation<Void>
Represents cleanup operation. Recursively cleans up the working copy, removing locks and resuming unfinished operations. `Target` should represent working copy path.

If you ever get a "working copy locked" error, use this method to remove stale locks and get your working copy into a usable state again.

This method operates only on working copies and does not open any network connection.

`SvnOperation.run()` method throws `SVNException` if one of the following is true:

- exception with `SVNErrorCode.ILLEGAL_TARGET` error code - if `target` is URL
- exception with `SVNErrorCode.WC_NOT_WORKING_COPY` error code - if `target` is not under version control

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnCleanup(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBreakLocks()`
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy
`boolean`
`isDeleteWCProperties()`
Gets whether or not DAV specific `"svn:wc:"` properties should be removed from the working copy
`boolean`
`isIncludeExternals()`
`boolean`
`isRemoveIgnoredItems()`
`boolean`
`isRemoveUnversionedItems()`
`boolean`
`isVacuumPristines()`
`void`
`setBreakLocks(boolean breakLocks)`
`void`
`setDeleteWCProperties(boolean deleteWCProperties)`
Sets whether or not DAV specific invalid input: '<'code">"svn:wc:" properties should be removed from the working copy
`void`
`setIncludeExternals(boolean includeExternals)`
`void`
`setRemoveIgnoredItems(boolean removeIgnoredItems)`
`void`
`setRemoveUnversionedItems(boolean removeUnversionedItems)`
`void`
`setVacuumPristines(boolean vacuumPristines)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnCleanup

protected SvnCleanup(SvnOperationFactory factory)

## Method Details

### isDeleteWCProperties

public boolean isDeleteWCProperties()
Gets whether or not DAV specific `"svn:wc:"` properties should be removed from the working copy

Returns:
  `true` if properties will be removed, otherwise `false`

### setDeleteWCProperties

public void setDeleteWCProperties(boolean deleteWCProperties)
Sets whether or not DAV specific invalid input: '<'code">"svn:wc:" properties should be removed from the working copy

Parameters:
  `deleteWCProperties` - `true` if properties will be removed, otherwise `false`

### isVacuumPristines

public boolean isVacuumPristines()

### setVacuumPristines

public void setVacuumPristines(boolean vacuumPristines)

### isRemoveUnversionedItems

public boolean isRemoveUnversionedItems()

### setRemoveUnversionedItems

public void setRemoveUnversionedItems(boolean removeUnversionedItems)

### isRemoveIgnoredItems

public boolean isRemoveIgnoredItems()

### setRemoveIgnoredItems

public void setRemoveIgnoredItems(boolean removeIgnoredItems)

### isIncludeExternals

public boolean isIncludeExternals()

### setIncludeExternals

public void setIncludeExternals(boolean includeExternals)

### setBreakLocks

public void setBreakLocks(boolean breakLocks)

### isBreakLocks

public boolean isBreakLocks()

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<Void>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`